#ifndef MEDIA_FILE_H
#define MEDIA_FILE_H

#include <string>

using namespace std;

class Video;
class ImageObject;

enum MediaType
{
    MEDIA_UNKNOWN,
    MEDIA_IMAGE,
    MEDIA_MOVIE,
};

// Careful! All memory management for MediaFile is explicitly handled in PixalcoApp
struct MediaFile
{
public:
    MediaFile() : mImageObject(0), mVideo(0), mMediaType(MEDIA_UNKNOWN) {}
    ~MediaFile() {}

    MediaType GetMediaType()    { return mMediaType; }

    MediaType       mMediaType;
    Video           *mVideo;
    ImageObject     *mImageObject;
    string          mFileName;
    string          mDisplayName;
};

#endif // MEDIA_FILE_H
